import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { TextField, SelectList, Button } from 'gestalt';
import 'gestalt/dist/gestalt.css';

function LocationApp(props) {

  const [name, setName] = useState(localStorage.getItem("curLocationName"));
  const [state , setState] = useState(localStorage.getItem("curLocationState"));
  const [className, setClassName] = useState("");
  const handleSubmit = (event) =>  {
  	 event.preventDefault();

  	 const name = event.target.name.value;
  	 const state = event.target.state.value

   	 setName(name);
   	 localStorage.setItem("curLocationName", name);

   	 setState(state);
   	 localStorage.setItem("curLocationState", state);

   	 setClassName("highlight");
   }
   return (
    <div>
    <form onSubmit={handleSubmit}>
          <TextField
            id="name"
            onChange={() => {}}
            placeholder="Your Name"
            label="Name"
            type="text" />
            
          <SelectList 
          id="state"
          label="State"
          onChange={() => {}}
          options={[
            {label:"CA", value:"CA"},
            {label:"NY", value:"NY"},
            {label:"TX", value:"TX"},
          ]} />
          
          <Button size="md"
          text="Save Location"
          color="red" 
          type="submit"/>
        </form>
 <br />
  <div className={className}>
    {name}: {state}
  </div>
  </div>
  );
}

 
   

ReactDOM.render(
  <LocationApp />,
  document.getElementById('root')
);